Bug 1007445 - Review Request: mutter-wayland - Mutter window manager with experimental Wayland support
Review Request: mutter-wayland - Mutter window manager with experimental Wayl...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 09:50 EDT by Kalev Lember
Modified: 2014-09-19 20:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 20:19:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-09-12 09:50:40 EDT
Spec URL: http://kalev.fedorapeople.org/mutter-wayland.spec
SRPM URL: http://kalev.fedorapeople.org/mutter-wayland-3.9.91-3.fc21.src.rpm
Description:
Mutter is a window and compositing manager that displays and manages
your desktop via OpenGL. Mutter combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Mutter can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as gnome-shell or
Moblin. For this reason, Mutter is very extensible via plugins, which
are used both to add fancy visual effects and to rework the window
management behaviors to meet the needs of the environment.

This package contains an experimental Mutter version with Wayland
support. It will eventually get merged back into the main Mutter
package and mutter-wayland is going to go away; in the mean time this
package is available for early adapters.

Fedora Account System Username: kalev
Comment 1 Kalev Lember 2013-09-12 10:02:54 EDT
I have deliberately kept the diff between the mutter and mutter-wayland packages minimum. If we discover anything that needs fixing, I'd like to do it in both of the packages to keep them in sync.

See https://github.com/kalev/mutter-wayland/commits/master for the changes compared to the mutter package.

------

Currently many of the files installed by this package overlap with those installed by the 'mutter' package:

/usr/share/GConf/gsettings/mutter-schemas.convert
/usr/share/glib-2.0/schemas/org.gnome.mutter.gschema.xml
/usr/share/gnome-control-center/keybindings/50-mutter-navigation.xml
/usr/share/gnome-control-center/keybindings/50-mutter-system.xml
/usr/share/gnome-control-center/keybindings/50-mutter-windows.xml

I am not sure if it's a problem or not. RPM handles multiple packages owning same files fine, as long as the contents of the files is equal.

If it turns out a problem, we could perhaps add a --enable-mutter-dependency configure option (similar to how gtk3 has --enable-gtk2-dependency) to omit these files. Or we could just rm these in the distro packaging and add a Requires: mutter here.

------

This package needs cogl-1.15.10-3.fc20 and clutter-1.15.92-3.fc20 that are currently only available in koji. I've submitted them as buildroot overrides so we can test scratch builds. I'll submit them together with this package as one Bodhi update once it gets approved.

------

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5927600
Comment 2 Matthias Clasen 2013-09-12 22:28:02 EDT
'early adapters' in the description should be 'early adopters'

Worth mentioning that 
# Drop man pages for removed utilities
is only temporary and has been fixed upstream

I haven't tried building it yet, so I have to ask: mutter-launch needs to be suid root - the file list doesn't look like it is enforcing that ?


I think we shouldn't copy all the history from the mutter spec here - I suggest to trim the %changelog to the most recent entry, and make it say something like 'Fork of the mutter package'
Comment 3 Matthias Clasen 2013-09-16 06:10:19 EDT
Formal review:

$ rpmlint mutter-wayland-3.9.91-3.fc21.src.rpm 
mutter-wayland.src: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
mutter-wayland.src: W: no-url-tag
mutter-wayland.src: E: specfile-error warning: bogus date in %changelog: Tue Apr 21 2013 Florian Müllner <fmuellner@redhat.com> - 3.8.1-1
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

mutter-wayland.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
mutter-wayland.x86_64: W: no-url-tag
mutter-wayland.x86_64: E: missing-call-to-setgroups /usr/bin/mutter-launch
mutter-wayland.x86_64: W: shared-lib-calls-exit /usr/lib64/libmutter-wayland.so.0.0.0 exit@GLIBC_2.2.5
mutter-wayland.x86_64: E: incorrect-fsf-address /usr/share/doc/mutter-wayland/COPYING
mutter-wayland.x86_64: W: no-manual-page-for-binary mutter-launch
mutter-wayland.x86_64: W: no-manual-page-for-binary mutter-wayland
mutter-wayland-debuginfo.x86_64: W: no-url-tag
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/group.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/theme.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/main.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/resizepopup.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/stack.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/delete.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-cursor-tracker.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/stack.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/atomnames.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/keybindings.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/meta-idle-monitor.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/boxes-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-background-actor.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-module.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/theme.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/theme-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/menu.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/screen.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-module.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/boxes.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/menu.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-shaped-texture.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/meta-cursor-tracker-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-plugin.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-plugin.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/tabpopup.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/iconcache.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/prefs.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/workspace.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/meta-xrandr-shared.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/iconcache.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/group-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-keyboard.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/bell.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/bell.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-surface.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/cogl-utils.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-surface.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/place.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/gradient.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/window.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/session.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/errors.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-plugin-manager.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-plugin-manager.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/util.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-shadow-factory.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/place.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-xwayland.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-seat.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/theme-parser.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-seat.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/compositor-mutter.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-window-actor.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/region-utils.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/meta-cursor-tracker.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/above-tab-keycode.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/region-utils.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-shadow-factory-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/gradient.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/constraints.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/constraints.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/errors.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/core.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/display-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/types.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-types.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/workspace.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/core.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-weston-launch.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/display.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/prefs.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-weston-launch.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-texture-rectangle.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-background.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/frames.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-texture-rectangle.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-shaped-texture-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/edge-resistance.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/edge-resistance.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-background.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/xprops.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/ui.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/ui.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/clutter-utils.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/draw-workspace.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/tile-preview.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/draw-workspace.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/clutter-utils.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/tile-preview.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/cogl-utils.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/keybindings-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/display.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/window.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/meta-idle-monitor-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-background-actor.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/compositor.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/frame.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-stage.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-stage.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/tabpopup.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/plugins/default.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/frames.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland-keyboard.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/mutter.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-texture-tower.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/frame.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-texture-tower.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-idle-monitor.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/group.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-window-shape.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/util.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-shadow-factory.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/compositor/meta-window-shape.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/main.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/ui/resizepopup.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/common.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/meta/meta-shaped-texture.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-xwayland-private.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/group-props.c
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/core/group-props.h
mutter-wayland-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mutter-wayland-3.9.91/src/wayland/meta-wayland.c
mutter-wayland-devel.x86_64: W: no-url-tag
mutter-wayland-devel.x86_64: W: no-documentation
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/workspace.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/common.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-window-actor.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/util.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/gradient.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/compositor-mutter.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/screen.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/boxes.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/atomnames.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/main.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-background.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-cursor-tracker.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/display.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/window.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/prefs.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-shadow-factory.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-plugin.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/compositor.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/errors.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/keybindings.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-idle-monitor.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-shaped-texture.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/meta-background-actor.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/group.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/types.h
mutter-wayland-devel.x86_64: E: incorrect-fsf-address /usr/include/mutter-wayland/meta/theme.h
3 packages and 0 specfiles checked; 151 errors, 8 warnings.


Very annoying that rpmlint spams the output with irrelevant address crap.

The url could easily be added, e.g. pointing to https://wiki.gnome.org/ThreePointNine/Features/WaylandSupport

The bogus changelog date can be addressed by trimming the changelog
Comment 4 Matthias Clasen 2013-09-16 06:47:25 EDT
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec language: ok
spec readability: ok
upstream sources: ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok
ldconfig: ok
system libraries: ok
relocatable: ok
directory ownership: ok
duplicate files: ok
permissions: generally ok, but mutter-launch must be suid root
macro use: there's a bit of mixed usage of $RPM_BUILD_ROOT and
  %{buildroot}, but thats acceptable to stay in sync with mutter
content: permissible
large docs: ok
doc content: ok
static libs: ok
devel files: ok
devel deps: should include %{?_isa} here:
  Requires: %{name}%{?_isa} = %{version}-%{release}
libtool files: ok
gui apps: ok
file ownership: generally ok, but I think we should rm the
  overlap with mutter, and add a dep instead
utf8 filenames: ok
Comment 5 Kalev Lember 2013-09-16 19:13:04 EDT
* Tue Sep 17 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.91-4
- Review fixes (#1007445)
- Drop the files that overlap between mutter and mutter-wayland and
  depend on the mutter package instead
- Make mutter-launch SUID root
- Update the description and add URL
- Tighten -devel subpackage deps with _isa
- Use the make_install macro

Spec URL: http://kalev.fedorapeople.org/mutter-wayland.spec
SRPM URL: http://kalev.fedorapeople.org/mutter-wayland-3.9.91-4.fc21.src.rpm

I've also ported applicable fixes to the mutter package,
http://pkgs.fedoraproject.org/cgit/mutter.git/commit/?id=42be602f7665faf51ffa133144dcc3b4b395b807
Comment 6 Matthias Clasen 2013-09-16 19:29:56 EDT
Given that we're now removing the schema file, we can just remove the %post and %posttrans scripts for it, I guess. But this is just an optimization.

Everything else looks fine, so I'm approving this package now.
Comment 7 Kalev Lember 2013-09-16 19:35:07 EDT
(In reply to Matthias Clasen from comment #6)
> Given that we're now removing the schema file, we can just remove the %post
> and %posttrans scripts for it, I guess. But this is just an optimization.

We still need this for the mutter-wayland specific schema, org.gnome.mutter.wayland.gschema.xml.
Comment 8 Kalev Lember 2013-09-16 19:45:03 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mutter-wayland
Short Description: Mutter window manager with experimental Wayland support
Owners: fmuellner, magcius
Branches: f20
InitialCC:
Comment 9 Gwyn Ciesla 2013-09-17 08:42:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.